<script>
	var itemList = JSON.parse('<?=json_encode($item_list)?>');
	var natDays = JSON.parse('<?php echo $natDates ?>');
</script>
<?php if ( $error_count ) : ?>
	<div>
	<?php
		echo sprintf(__("%d failed %s has been made to book this collection. <a href=\"%s\">Click here</a> to send a generated email to ParcelBroker for assistance.", 'parcelbrokerwc'), $error_count, _n('attempt', 'attempts', $error_count, 'parcelbrokerwc'), admin_url( '/tools.php?page=parcelbroker-report-error&pbwcOrder=' . $thepostid ))
	?>
	</div>
<?php endif; ?>
<?php if ( (!empty($order_response) && strtolower($order_response['header']['status']) == 'success') ) : ?>
	<div class="pbwc-booking-exists">
		<p><?php echo sprintf(__('A successful booking has been made for this order. Making another booking will not cancel any previous bookings. If you need to cancel the current booking contact <a href="%s" target="_blank">ParcelBroker</a> with the reference %s before creating a new booking.'), 'https://parcelbroker.co.uk/contact/', $this->getPostTracking())?></p>
		<p><?php echo sprintf(__('You will receive your order label via email, alternatively you can go to your <a href="%s" target="_blank">account</a> on ParcelBroker and download the label'.$customs_message.' from there.', 'parcelbrokerwc'), 'https://parcelbroker.co.uk/account/myorders.php')?></p>
	</div>
<?php endif; ?>
<div id="parcelbrokerwc-shipping-prices">
	<div class="pbwc-flex">
		<div class="pbwc-50" id="collection-address">
			<h4><?= __('Collection', 'parcelbrokerwc')?></h4>
			<?php
		    woocommerce_form_field('pbwc-collection[name]', array(
			    'type'        => 'text',
			    'default'	  => $shop_contact,
			    'required'	  => true,
			    'label'       => __('Name', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'name', 'style' => 'width: 95%')
			));

		    woocommerce_form_field('pbwc-collection[company]', array(
			    'type'        => 'text',
			    'default'	  => $shop_company,
			    'required'	  => true,
			    'label'       => __('Company', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'company', 'style' => 'width: 95%')
			));

		    woocommerce_form_field('pbwc-collection[address_1]', array(
			    'type'        => 'text',
			    'default'	  => $shop_address_1,
			    'required'	  => true,
			    'label'       => __('Collection Address Line 1', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'address_1', 'style' => 'width: 95%')
			));

		    woocommerce_form_field('pbwc-collection[address_2]', array(
			    'type'        => 'text',
			    'default'	  => $shop_address_2,
			    'label'       => __('Collection Address Line 2', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'address_2', 'style' => 'width: 95%')
			));

		    woocommerce_form_field('pbwc-collection[town]', array(
			    'type'        => 'text',
			    'default'	  => $shop_town,
			    'required'	  => true,
			    'label'       => __('Collection Town', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'town', 'style' => 'width: 95%')
			));
		    ?>
		    <div id="collection-state-container">
				<?php
				echo $state_field;
			    ?>
		    </div>
		    <div id="collection-postcode-container">
				<?php
				echo $postcode_field;
			    ?>
			</div>
			<?php
		    woocommerce_form_field('pbwc-collection[country_code]', array(
			    'type'        => 'country',
			    'required'    => true,
			    'default'	  => $shop_country,
			    'label'       => __('Collection Country', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'country', 'style' => 'width: 95%')
			));

		    woocommerce_form_field('pbwc-collection[phone]', array(
			    'type'        => 'text',
			    'default'	  => $shop_phone,
			    'required'	  => true,
			    'label'       => __('Phone', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'phone', 'style' => 'width: 95%')
			));

		    woocommerce_form_field('pbwc-collection[email]', array(
			    'type'        => 'text',
			    'default'	  => $shop_email,
			    'required'	  => true,
			    'label'       => __('Email', 'parcelbrokerwc'),
			    'custom_attributes' => array('data-parcelbrokerwc-collection' => 'email', 'style' => 'width: 95%')
			));
		    ?>
		</div>
		<div class="pbwc-50">
			<h4><?= __('Delivery', 'parcelbrokerwc')?></h4>
			<p class="form-row" id="pbwc-delivery[name]_field" data-priority="">
				<label for="pbwc-delivery[name]" class=""><?php _e('Name', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[name]" placeholder="" value="<?=$delivery['first_name'] . ' ' . $delivery['last_name']?>" name="pbwc-delivery[name]" data-parcelbrokerwc-delivery="name" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[company]_field" data-priority="">
				<label for="pbwc-delivery[company]" class=""><?php _e('Company', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[company]" placeholder="" value="<?=$delivery['company']?>" name="pbwc-delivery[company]" data-parcelbrokerwc-delivery="company" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[address_1]_field" data-priority="">
				<label for="pbwc-delivery[address_1]" class=""><?php _e('Delivery Address Line 1', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[address_1]" placeholder="" value="<?=$delivery['address_1']?>" name="pbwc-delivery[address_1]" data-parcelbrokerwc-delivery="address_1" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[address_2]_field" data-priority="">
				<label for="pbwc-delivery[address_2]" class=""><?php _e('Delivery Address Line 2', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[address_2]" placeholder="" value="<?=$delivery['address_2']?>" name="pbwc-delivery[address_2]" data-parcelbrokerwc-delivery="address_2" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[town]_field" data-priority="">
				<label for="pbwc-delivery[town]" class=""><?php _e('Delivery Town', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[town]" placeholder="" value="<?=$delivery['city']?>" name="pbwc-delivery[town]" data-parcelbrokerwc-delivery="town" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[state]_field" data-priority="">
				<label for="pbwc-delivery[state]" class=""><?php _e('Delivery County/State', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[state]" placeholder="" value="<?=$delivery_state?>" name="pbwc-delivery[state]" data-parcelbrokerwc-delivery="state" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[postcode]_field" data-priority="">
				<label for="pbwc-delivery[postcode]" class=""><?php _e('Delivery Postcode/Zip', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[postcode]" placeholder="" value="<?=$delivery['postcode']?>" name="pbwc-delivery[postcode]" data-parcelbrokerwc-delivery="postcode" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[country]_field" data-priority="">
				<label for="pbwc-delivery[country]" class=""><?php _e('Delivery Country', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[country]" placeholder="" value="<?=$countries[$delivery['country']]?>" readonly>
					<input type="hidden" value="<?=$delivery['country']?>" data-parcelbrokerwc-delivery="country" name="pbwc-delivery[country_code]">
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[phone]_field" data-priority="">
				<label for="pbwc-delivery[phone]" class=""><?php _e('Delivery Phone', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[phone]" placeholder="" value="<?=$delivery_phone?>" name="pbwc-delivery[phone]" data-parcelbrokerwc-delivery="phone" readonly>
				</span>
			</p>
			<p class="form-row" id="pbwc-delivery[email]_field" data-priority="">
				<label for="pbwc-delivery[email]" class=""><?php _e('Delivery Email', 'parcelbrokerwc') ?></label>
				<span class="woocommerce-input-wrapper">
					<input type="text" class="input-text" id="pbwc-delivery[email]" placeholder="" value="<?=$delivery_email?>" name="pbwc-delivery[email]" data-parcelbrokerwc-delivery="email" readonly>
				</span>
			</p>
		</div>

	</div>

	<p class="form-row validate-required" data-priority="">
		<label for="pbwc-collection[country_code]" class=""><?php _e('Shipping contents', 'parcelbrokerwc') ?> <abbr class="required" title="required">*</abbr></label>
		<span class="woocommerce-input-wrapper">
			<input type="text" class="input-text" name="pbwc-shipping-contents" value="<?=$shipping_contents?>" max="255" cal>
		</span>
	</p>

	<h3><?php _e('Parcels', 'parcelbrokerwc') ?></h3>
	<p><button class="button" data-parcelbrokerwc="populateFromOrder" type="button"><?php _e('Prefill with purchased items', 'parcelbrokerwc') ?></button></p>
	<div data-parcelbrokerwc="parcels-container"></div>
	<p>
		<button class="button" data-parcelbrokerwc="addParcel" type="button"><?php _e('Add parcel', 'parcelbrokerwc') ?></button>
		<button class="button button-primary parcelbrokerwc-fetch-pricing" type="button"  data-parcelbrokerwc="fetchPricing"><?php _e('Get pricing', 'parcelbrokerwc') ?></button>
	</p>
</div>
<div id="parcelbrokerwc-shipping" class="pbwc-hide">
	<div>
		<p>
			<a href="#" data-parcelbrokerwc="editParcels"><?php _e('Back') ?></a>
		</p>
	</div>
	<div class="pbwc-flex">
		<div class="pbwc-50">
			<p id="parcelbrokerwc-collection-address"></p>
		</div>
		<div class="pbwc-50">
			<p>
				<?php
					echo $delivery['first_name'] . ' ' . $delivery['last_name'] . '<br>';
					if ( $delivery['company'] ) {
						echo $delivery['company'] . '<br>';
					}
					echo $delivery['address_1'] . '<br>';
					if ( $delivery['address_2'] ) {
						echo $delivery['address_2'] . '<br>';
					}
					echo $delivery['city'] . '<br>';
					echo $delivery_state . '<br>';
					echo $delivery['postcode'] . '<br>';
					echo $countries[$delivery['country']] . '<br>';
					echo $delivery_phone . '<br>';
					echo $delivery_email;
				?>
			</p>

			<p class="form-field">
				<label>
					<input type="Checkbox" data-parcelbrokerwc-residential value="1" <?=$delivery['company']? '':' checked'?> > <?php _e('Residential Address', 'parcelbrokerwc') ?>
				</label>
			</p>
		</div>
	</div>
	<div id="parcelbrokerwc-shipping-pricelist">
		<ul></ul>
	</div>
	<div id="pbwc-collection-date" class="pbwc-hide">
		<h4><?php _e('Collection date', 'parcelbrokerwc') ?></h4>
		<p id="pbwc-collection-future">
			<label>
				<input type="radio" name="pbwc-collection-date" value="future" data-parcelbrokerwc-collectiontype="true"> <?php _e('Collect (Future Day)', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p id="pbwc-collection-sameday">
			<label>
				<input type="radio" name="pbwc-collection-date" value="sameday" data-parcelbrokerwc-collectiontype="true"> <?php _e('Collect (Same Day)', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p id="pbwc-collection-additional-sameday">
			<label>
				<input type="radio" name="pbwc-collection-date" value="additional-sameday" data-parcelbrokerwc-collectiontype="true"> <?php _e('I have a collection scheduled for today', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p>
			<label>
				<input type="radio" checked name="pbwc-collection-date" value="dropoff" data-parcelbrokerwc-collectiontype="false"> <?php _e('Dropoff', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p>
			<input type="text" value="<?=date('d/m/Y')?>" class="" id="collection_date" class="pbwc-hide">
			<input type="hidden" id="collection_date_alt" name="pbwc-colletion-date" value="<?=date('Y-m-d')?>">
		</p>
	</div>
	<div id="pbwc-collection-packaging" class="pbwc-hide">
		<h4><?php _e('Packaging', 'parcelbrokerwc') ?></h4>
		<p>
			<label>
				<input name="packaging" data-parcelbrokerwc-handling="false" value="CARD" type="radio" checked> <?php _e('Packaged in cardboard box', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p>
			<label>
				<input name="packaging" data-parcelbrokerwc-handling="true" value="METAL" type="radio"> <?php _e('Metal Packaging', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p>
			<label>
				<input name="packaging" data-parcelbrokerwc-handling="true" value="PLASTIC" type="radio"> <?php _e('Plastic Packaging', 'parcelbrokerwc') ?>
			</label>
		</p>
		<p>
			<label>
				<input name="packaging" data-parcelbrokerwc-handling="true" value="OTHER" type="radio"> <?php _e('Other', 'parcelbrokerwc') ?>
			</label>
		</p>
	</div>
	<div data-parcelbrokerwc-customs class="pbwc-hide">
		<input type="hidden" id="pbwc-customs-use" name="pbwc-customs[use]" value="">
		<h4><?php _e('Customs', 'parcelbrokerwc') ?></h4>
		<input type="hidden" name="pbwc-customs[type]" value="COMMERCIAL">
		<div class="form-field">
			<label><?php _e('Vat Number (if applicable)', 'parcelbrokerwc') ?></label>
			<input type="text" name="pbwc-customs[sender_vat]">
		</div>
		<div class="form-field">
			<label><?php _e('Country of manufacture to the best of your knowledge', 'parcelbrokerwc') ?></label>
			<input type="text" name="pbwc-customs[com]">
		</div>
		<div class="form-field">
			<label><?php _e('Reason for export', 'parcelbrokerwc') ?></label>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="sale" checked> <?php _e('Sale', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="gift"> <?php _e('Gift', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="personal"> <?php _e('Personal', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="documents"> <?php _e('Documents', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="sample"> <?php _e('Sample', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="repair"> <?php _e('Repair', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="replacement"> <?php _e('Replacement', 'parcelbrokerwc') ?></label></p>
			<p><label><input type="radio" name="pbwc-customs[reason]" value="stock"> <?php _e('Stock', 'parcelbrokerwc') ?></label></p>
		</div>
	</div>
	<div>
		<table class="pbwc-shipping-price-table">
			<tr data-parcelbrokerwc-service class="pbwc-hide">
				<th><?php _e('Freight Charge', 'parcelbrokerwc') ?></th>
				<td><span id="pbwc-service-charge"></span></td>
			</tr>
			<tr data-parcelbrokerwc-surcharge="residential" class="pbwc-hide">
				<th><?php _e('Residential Charge', 'parcelbrokerwc') ?></th>
				<td><span id="pbwc-surcharge-residential"></span></td>
			</tr>
			<tr data-parcelbrokerwc-surcharge="handling" class="pbwc-hide">
				<th><?php _e('Per Item Handling Charge', 'parcelbrokerwc') ?></th>
				<td><span id="pbwc-surcharge-handling"></span></td>
			</tr>
			<tr data-parcelbrokerwc-surcharge="collection" class="pbwc-hide">
				<th><?php _e('Collection Charge', 'parcelbrokerwc') ?></th>
				<td><span id="pbwc-surcharge-collection"></span></td>
			</tr>
			<tr data-parcelbrokerwc-service class="pbwc-hide">
				<th class="subtotal-break"><?php _e('Sub-total Net', 'parcelbrokerwc') ?></th>
				<td class="subtotal-break"><span id="pbwc-net"></span></td>
			</tr>
			<tr data-parcelbrokerwc-vat class="pbwc-hide">
				<th><?php _e('Sub-total VAT', 'parcelbrokerwc') ?></th>
				<td><span id="pbwc-vat"></span></td>
			</tr>
			<tr data-parcelbrokerwc-total class="pbwc-hide">
				<th class="total"><?php _e('Total') ?></th>
				<td class="total"><span id="pbwc-price"></span></td>
			</tr>
		</table>
	</div>
	<div>
		<button class="button" name="pbwc-book-collection" value="1" data-parcelbrokerwc-book-collection><?php _e('Book shipment', 'parcelbrokerwc') ?></button>
	</div>
</div>