<p class="form-field dimensions_field">
	<label for="product_length"><?php printf( __( 'Packaged Dimensions (%s)', 'parcelbrokerwc' ), get_option( 'woocommerce_dimension_unit' ) ); ?></label>
	<span class="wrap">
		<input id="product_length" placeholder="<?php esc_attr_e( 'Length', 'woocommerce' ); ?>" class="input-text wc_input_decimal" size="6" type="text" name="_package_length" value="<?php echo esc_attr( wc_format_localized_decimal( $product_object->get_meta('_package_length') ) ); ?>" />
		<input placeholder="<?php esc_attr_e( 'Width', 'woocommerce' ); ?>" class="input-text wc_input_decimal" size="6" type="text" name="_package_width" value="<?php echo esc_attr( wc_format_localized_decimal( $product_object->get_meta('_package_width') ) ); ?>" />
		<input placeholder="<?php esc_attr_e( 'Height', 'woocommerce' ); ?>" class="input-text wc_input_decimal last" size="6" type="text" name="_package_height" value="<?php echo esc_attr( wc_format_localized_decimal( $product_object->get_meta('_package_height') ) ); ?>" />
	</span>
	<?php echo wc_help_tip( __( 'LxWxH in decimal form', 'woocommerce' ) ); ?>
</p>