<?php
/**
 * View Tracking
 *
 * Shows the tracking details of a particular order on the account page.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/parcelbrokerwc/view-tracking.php or yourtheme/parcelbrokerwc/view-tracking.php
 *
 * HOWEVER, on occasion ParcelBroker will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @author  ParcelBroker
 * @version 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<p>Your tracking number is <?php echo $tracking_number; ?></p>
<p>
	<button
		class="parcelbrokerwc-tracking-button"
		data-parcelbrokerwc="tracking-button"
		data-tracking-number="<?=$tracking_number?>">Track order </button>
</p>
<div class="parcelbrokerwc-tracking-loading" data-parcelbrokerwc="loading">
	<i class="fa fa-spin fa-spinner"></i>
</div>
<div data-parcelbrokerwc="tracking-output">

</div>