jQuery(function($) {
	$('button[data-parcelbrokerwc="tracking-button"]').on('click', function() {
		$('[data-parcelbrokerwc="loading"]').show();
		$('[data-parcelbrokerwc="tracking-output"]').html('');
		var btn = $(this);
		$(btn).prop('disabled', true);
		var ajax_data = {
			'action' : 'get_tracking',
			'tracking_number' : $(this).data('tracking-number')
		}
		$.ajax({
			url : pb.ajaxurl,
			data : ajax_data,
			method : 'post',
			success: function(r) {
				$('[data-parcelbrokerwc="loading"]').hide();
				$(btn).prop('disabled', false);
				var data = JSON.parse(r);
				$('[data-parcelbrokerwc="tracking-output"]').html(data.output);
			}
		})
	});
});